# Barry::vLateSmartPtr< T, FreeFuncPtrT > Class Template Reference

`#include <vsmartptr.h>`

Collaboration diagram for Barry::vLateSmartPtr< T, FreeFuncPtrT >:

[legend]

List of all members.

## Detailed Description

### template<class T, class FreeFuncPtrT>
class Barry::vLateSmartPtr< T, FreeFuncPtrT >

Variation of the above smart pointer that allows the user to assign a free function after construction, in the case of dlopen()'d frees.

Definition at line 104 of file vsmartptr.h.

The documentation for this class was generated from the following file:

- vsmartptr.h